## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FormatterToHTML Class Reference

FormatterToHTML formats SAX-style events into HTML. More...

`#include <FormatterToHTML.hpp>`

Inheritance diagram for FormatterToHTML

Collaboration diagram for FormatterToHTML:

List of all members.

## Public Types

- typedef std::vector<XalanHTMLElementsProperties::ElementProperties> ElementPropertiesStackType
- enum {
  eDefaultIndentAmount = 0
  }

## Public Methods

- FormatterToHTML ( Writer& writer, const XalanDOMString& encoding = XalanDOMString(), const XalanDOMString& mediaType = XalanDOMString(), const XalanDOMString& doctypeSystem = XalanDOMString(), const XalanDOMString& doctypePublic = XalanDOMString(), bool doIndent = true, int indent = eDefaultIndentAmount, bool escapeURLs = true, bool omitMetaTag = false)
    Constructor for customized encoding and doctype. More...
- virtual ~FormatterToHTML ()
- virtual void startDocument ()
- virtual void endDocument ()
- virtual void startElement ( const XMLCh* const name, AttributeListType& attrs)
- virtual void endElement (const XMLCh* const name)
- virtual void characters ( const XMLCh* const chars, const unsigned int length)
- virtual bool accumDefaultEntity ( XalanDOMChar ch, bool escLF)
    Handle one of the default entities, return false if it is not a default entity.
- virtual void entityReference (const XMLCh* const name)
    Receive notification of a entityReference. More...
- virtual void cdata ( const XMLCh* const ch, const unsigned int length)
- virtual void processingInstruction ( const XMLCh* const target, const XMLCh* const data)
- bool getEscapeURLs () const
- void setEscapeURLs (bool flag)

## Protected Methods

- virtual void writeAttrString ( const XalanDOMChar* theString, XalanDOMString::size_type theStringLength)
    Write an attribute string. More...
- virtual void accumCommentData (const XalanDOMChar* data)
    Write the data for a comment. More...
- void writeCharacters (const XalanDOMString& theString)
- void writeCharacters ( const XalanDOMChar* theString, XalanDOMString::size_type theLength)

## Detailed Description

FormatterToHTML formats SAX-style events into HTML.

## Member Typedef Documentation

typedef std::vector<XalanHTMLElementsProperties::ElementProperties> FormatterToHTML::ElementPropertiesStackType

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  eDefaultIndentAmount |

## Constructor & Destructor Documentation

FormatterToHTML::FormatterToHTML ( | Writer & writer,
| const XalanDOMString & encoding = XalanDOMString(),
| const XalanDOMString & mediaType = XalanDOMString(),
| const XalanDOMString & doctypeSystem = XalanDOMString(),
| const XalanDOMString & doctypePublic = XalanDOMString(),
| bool doIndent = true,
| int indent = eDefaultIndentAmount,
| bool escapeURLs = true,
| bool omitMetaTag = false )

Constructor for customized encoding and doctype.

Parameters:

  writer | The character output stream to use.
  encoding | The character encoding in use by writer.
  doctypeSystem | The system ID for the DOCTYPE.
  doctypePublic | The public ID for the DOCTYPE.
  doIndent | true if indenting should be enabled
  indent | Number of spaces to indent at each nesting level.
  escapeURLs | Whether or not to escape URLs according to the recommendation. The default is true.
  omitMetaTag | Whether or not to output a META TAG according to the recommendation. The default is false.

virtual FormatterToHTML::~FormatterToHTML ( | )`[virtual]`

## Member Function Documentation

virtual void FormatterToHTML::accumCommentData ( | const XalanDOMChar * data )`[protected, virtual]`

Write the data for a comment.

Parameters:

  data | The comment's data.

Reimplemented from FormatterToXML.

virtual bool FormatterToHTML::accumDefaultEntity ( | XalanDOMChar ch,
| bool escLF )`[virtual]`

Handle one of the default entities, return false if it is not a default entity.

Reimplemented from FormatterToXML.

virtual void FormatterToHTML::cdata ( | const XMLCh *const ch,
| const unsigned int length )`[virtual]`

Reimplemented from FormatterToXML.

virtual void FormatterToHTML::characters ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

Reimplemented from FormatterToXML.

virtual void FormatterToHTML::endDocument ( | )`[virtual]`

Reimplemented from FormatterToXML.

virtual void FormatterToHTML::endElement ( | const XMLCh *const name )`[virtual]`

Reimplemented from FormatterToXML.

virtual void FormatterToHTML::entityReference ( | const XMLCh *const name )`[virtual]`

Receive notification of a entityReference.

Parameters:

  data | pointer to characters from the XML document

Exceptions:

  SAXException |

Reimplemented from FormatterToXML.

bool FormatterToHTML::getEscapeURLs ( | ) const`[]`

virtual void FormatterToHTML::processingInstruction ( | const XMLCh *const target,
| const XMLCh *const data )`[virtual]`

Reimplemented from FormatterToXML.

void FormatterToHTML::setEscapeURLs ( | bool flag )`[]`

virtual void FormatterToHTML::startDocument ( | )`[virtual]`

Reimplemented from FormatterToXML.

virtual void FormatterToHTML::startElement ( | const XMLCh *const name,
| AttributeListType & attrs )`[virtual]`

Reimplemented from FormatterToXML.

virtual void FormatterToHTML::writeAttrString ( | const XalanDOMChar * theString,
| XalanDOMString::size_type theStringLength )`[protected, virtual]`

Write an attribute string.

Parameters:

  theString | The string to write.
  theStringLength | The length of the string.

Reimplemented from FormatterToXML.

void FormatterToHTML::writeCharacters ( | const XalanDOMChar * theString,
| XalanDOMString::size_type theLength )`[protected]`

void FormatterToHTML::writeCharacters ( | const XalanDOMString & theString )`[protected]`

The documentation for this class was generated from the following file:

- FormatterToHTML.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.